#include<bits/stdc++.h>
using namespace std;
int main(){

    int n;
    cin>>n;

    int niz[n+5];
    for(int i=0;i<n;i++){

        cin>>niz[i];
    }

    int q;
    cin>>q;
    int tip,k,x;

    for(int lj=0;lj<q;lj++){

        cin>>tip;

        if(tip == 1){

            cin>>k>>x;
            niz[k-1] = x;
        }

        else if(tip == 0){

            cin>>k;
            int zin[n+5];
            int g,h;

            for(int i=0;i<n;i++){

                zin[i] = niz[i];
            }

            for(int i=0;i<n;i++){

                for(int j=i+1;j<n;j++){

                    g = zin[i] | zin[j];
                    h = zin[i] & zin[j];
                    zin[i] = g;
                    zin[j] = h;
                }
            }
            cout<<zin[k-1]<<endl;
        }
    }
}